> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kas.fyi/llms.txt
> Use this file to discover all available pages before exploring further.

# Transactions acceptance data

> Retrieve acceptance data for multiple transactions and their confirmation status if accepted.

Maximum of 500 transactions per request.

## Cost

This endpoint costs **0.1 RU** (Request Units) per call.


## OpenAPI

````yaml POST /v1/transactions/acceptance
openapi: 3.0.0
info:
  title: Kaspa Developer Platform (KDP) API
  description: >-
    A high-performance REST API providing real-time and historical data from the
    Kaspa blockchain
  version: '1.0'
  contact: {}
servers:
  - url: https://api.kas.fyi
    description: Mainnet API
security: []
tags:
  - name: Address
    description: Operations related to Kaspa addresses
  - name: Block
    description: Operations related to Kaspa blocks
  - name: Transaction
    description: Operations related to Kaspa transactions
  - name: Token
    description: Operations related to KRC20 tokens
  - name: Kaspa Node RPC Proxy
    description: Direct proxy to Kaspa node RPC methods
paths:
  /v1/transactions/acceptance:
    post:
      tags:
        - Transaction
      summary: Transactions acceptance data
      description: >-
        Retrieve acceptance data for multiple transactions and their
        confirmation status if accepted.


        Maximum of 500 transactions per request.
      operationId: TransactionController_getTransactionsAcceptance
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetTransactionsAcceptanceDto'
      responses:
        '200':
          description: Array of transaction acceptance data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTransactionsAcceptanceResponseDto'
      security:
        - x-api-key: []
components:
  schemas:
    GetTransactionsAcceptanceDto:
      type: object
      properties:
        transactionIds:
          description: An array of transaction IDs for which to retrieve acceptance data.
          example:
            - a7177c55769381a56c126e458c8bb6046613b8a8d45c2f8d3ca5dc71a065279a
            - 4a498450c67f332faade1509b7d2ab0b5ce5d3de45fc775ddf9e8098949911ad
          type: array
          items:
            type: string
      required:
        - transactionIds
    GetTransactionsAcceptanceResponseDto:
      type: object
      properties:
        transactions:
          description: An array of transaction acceptance data
          type: array
          items:
            $ref: '#/components/schemas/TransactionAcceptanceDto'
      required:
        - transactions
    TransactionAcceptanceDto:
      type: object
      properties:
        transactionId:
          type: string
          description: Transaction ID
          example: a7177c55769381a56c126e458c8bb6046613b8a8d45c2f8d3ca5dc71a065279a
        isAccepted:
          type: boolean
          description: Whether the transaction is accepted
          example: true
        acceptingBlockHash:
          type: string
          description: >-
            The hash of the block that accepted the transaction. Returns null if
            the transaction is not accepted.
          example: 2a0c51fab2a7c7a187299e087a244d1e70acdc75e0214a661c62761e2d6bbf4f
        confirmations:
          type: number
          description: >-
            The number of confirmations for the transaction, calculated as the
            sink blue score minus the accepting block's blue score. Returns null
            if the transaction is not accepted.
          example: 10
      required:
        - transactionId
        - isAccepted
        - acceptingBlockHash
        - confirmations
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key required for authentication. Get your API key at
        https://developer.kas.fyi

````